Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.core.util
Interface ECPDisposable

All Known Subinterfaces:
  InternalDescriptor<ELEMENT>, InternalProvider, InternalRegistryElement, InternalRepository, UIProvider

All Known Implementing Classes:
  CDOProvider, CDOUIProvider, DefaultProvider, DefaultUIProvider, Disposable, ECPRepositoryImpl, ElementDescriptor, EMFStoreProvider, EMFStoreUIProvider, ExtensionParser.ExtensionDescriptor, WorkspaceProvider, WorkspaceUIProvider

    public interface ECPDisposable

This interface is used on classes that can be disposed.

Since:
  1.1
Author:
  Eike Stepper, Eugen Neufeld

Nested Class Summary
`static interface` | `ECPDisposable.DisposeListener` This interface defines a listener that gets notified when an object is disposed.

Method Summary
`void` | `addDisposeListener(ECPDisposable.DisposeListener listener)` Adds a `ECPDisposable.DisposeListener` to this instance.
`void` | `dispose()` Disposes the current instance.
`boolean` | `isDisposed()` Whether this instance is already disposed.
`void` | `removeDisposeListener(ECPDisposable.DisposeListener listener)` Removed a `ECPDisposable.DisposeListener` from this instance.

Method Detail

### isDisposed

    boolean isDisposed()

  Whether this instance is already disposed.

  Returns:
    true if already disposed, false otherwise.

### dispose

    void dispose()

  Disposes the current instance.

### addDisposeListener

    void addDisposeListener(ECPDisposable.DisposeListener listener)

  Adds a `ECPDisposable.DisposeListener` to this instance.

  Parameters:
    `listener` - the listener to add

### removeDisposeListener

    void removeDisposeListener(ECPDisposable.DisposeListener listener)

  Removed a `ECPDisposable.DisposeListener` from this instance.

  Parameters:
    `listener` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.